<div class="clone-row<?php echo (isset($firstRow) && $firstRow) ? ' disabled-row' : ''; ?>">

    <?php
        if (! isset($key)):
            $key = 0;
        endif;

        echo $this->Form->addField(
            'CustomFields.' . $key . '.id',
            array(
                'type' => 'hidden',
                'class' => 'block-id',
                'disabled' => (isset($firstRow) && $firstRow) ? true : false
            )
        );

        $deleteLink = '<a href="" class="delete-item delete-block"><i class="s s--delete-small"></i> Delete Field</a>';

        echo $this->Form->addField(
            'CustomFields.' . $key . '.name',
            array(
                'type' => 'string',
                'class' => 'block-name',
                'after' => $deleteLink,
                'disabled' => (isset($firstRow) && $firstRow) ? true : false
            )
        );

        echo $this->Form->addField(
            'CustomFields.' . $key . '.label',
            array(
                'type' => 'string',
                'disabled' => (isset($firstRow) && $firstRow) ? true : false
            )
        );

        echo $this->Form->addField(
            'CustomFields.' . $key . '.type',
            array(
                'type' => 'select',
                'disabled' => (isset($firstRow) && $firstRow) ? true : false,
                'class' => 'custom-field-field-type'
            )
        );

        // manual hidden field so we can added protect-value
        echo $this->Form->addField(
            'CustomFields.' . $key . '.is_active',
            array(
                'type' => 'hidden',
                'value' => 0,
                'class' => 'protect-value',
                'id' => '_CustomFields0IsActive',
                'disabled' => (isset($firstRow) && $firstRow) ? true : false
            )
        );
        echo $this->Form->addField(
            'CustomFields.' . $key . '.is_active',
            array(
                'type' => 'boolean',
                'class' => 'protect-value',
                'hiddenField' => false, // turn off so we can manually add one with protect-value class
                'disabled' => (isset($firstRow) && $firstRow) ? true : false
            )
        );


        // Call the field options element to bring in that cloneable section
        echo $this->element(
            'EvCustomFields.fieldOptions',
            array(
                'key' => $key
            )
        );

        // Call the validation element to bring in that cloneable section
        echo $this->element(
            'EvCustomFields.fieldValidations',
            array(
                'key' => $key
            )
        );
    ?>

</div>