$(document).ready(function() {

    $('.custom-field-selection').find('.cloneable').each(function() {

        $(this).cloneable({
            pre_add_item_callback: function(item) {

                item.find('.sub-cloneable').children('.clone-row:first').addClass('disabled-row');
                item.find('.sub-cloneable').children('.clone-row:not(.disabled-row)').each(function(i, e) {

                    $(this).remove();
                });

                return item;
            },
            add_item_callback: function(item) {

                item.find('.sub-cloneable').each(function() {
                    $(this).cloneable({
                        name_int_ignore: 1,
                        delete_button: '.delete-subitem'
                    });
                });
            }
        });
    });


    $(document).on('change', '.custom-field-field-type', function(e) {

        var fieldType = $(this).val();
        var fieldOptions = $(this).parents('div.input').siblings('.field-options');

        if (fieldType == 'select') {

            if (fieldOptions.css('display') != 'block') {

                fieldOptions.slideDown();
            }

        } else {

            if (fieldOptions.css('display') == 'block') {

                fieldOptions.slideUp();
            }
        }
    });
});
